# Features about LIST and DICT
# 1. Initial
list_1 = list(["a", "b", "c"])
print("*** Initial LIST")
print(list_1)

dict_1 = dict({"ax": "a", "bx": "b", "cx": "c"})
print("\n*** Initial DICT")
print(dict_1)

# 2. Append
list_1.append("d")
list_1.append(5)
print("\n*** Append LIST")
print(list_1)

dict_1["dx"] = "d"
dict_1[9] = 7
print("\n*** Append DICT")
print(dict_1)

# 3. Index 
print("\n*** Index of LIST")
print("list_1[0] = "+list_1[0])
print("list_1[4] = "+str(list_1[4]))

print("\n*** Index of DICT")
print("dict_1['ax'] = "+dict_1["ax"])
print("dict_1[9] = "+str(dict_1[9]))

# 4. Update
print("\n*** Update LIST")
list_1[1] = "bb";
list_1[4] = 25;
print(list_1)

print("\n*** Update DICT")
dict_1["bx"] = "bb";
dict_1[9] = 27;
print(dict_1)

# 5.1 Delete by index
print("\n*** Delete LIST by index")
val = list_1.pop(3)
print("list_1[3] = "+val+" is deleted")
print(list_1)

print("\n*** Delete DICT by index")
val = dict_1.pop("f1", None)
if (val == None) :
	print("dict_1['f1'] is None")
val = dict_1.pop("dx", None)
print("dict_1['dx'] = "+val+" is deleted")	
print(dict_1)
print("dict_1[9] is deleted")	
del dict_1[9]
print(dict_1)

# 5.2 Delete by value
print("\n*** Delete LIST by value")
list_1.remove("c")
print("list_1['c'] is deleted")
print(list_1)

# 6. Count
print("\n*** Count the number of LIST")
print("LIST number is "+str(len(list_1)))

print("\n*** Count the number of DICT")
print("DICT number is "+str(len(dict_1)))
